> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gputrader.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get available filters for environment listings

> Retrieve all available filter options for environment listings



## OpenAPI

````yaml https://console.gputrader.io/assets/gputrader-api.json get /environments/listings/filters
openapi: 3.1.1
info:
  title: GPU Trader API
  version: 0.4.16
  description: This is the Swagger/OpenAPI-compatible GPUTrader API documentation
servers:
  - url: https://api.gputrader.io/v1
security: []
tags: []
paths:
  /environments/listings/filters:
    get:
      tags:
        - Environments
      summary: Get available filters for environment listings
      description: Retrieve all available filter options for environment listings
      responses:
        '200':
          description: Successfully retrieved filter options
          content:
            application/json:
              schema:
                type: object
                properties:
                  locations:
                    type: array
                    items:
                      type: string
                    description: List of available locations
                  maxPrice:
                    type: number
                    description: Maximum price available in listings
                  minPrice:
                    type: number
                    description: Minimum price available in listings
                  models:
                    type: array
                    items:
                      type: string
                    description: List of available GPU models
                  types:
                    type: array
                    items:
                      type: string
                    description: List of available environment types
                  vrams:
                    type: array
                    items:
                      type: number
                    description: List of available GPU VRAM sizes
                  availableGPUs:
                    type: array
                    items:
                      type: number
                    description: List of available GPU quantities
        '500':
          description: Internal server error
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````